IF NOT EXISTS (SELECT * FROM SYS.TABLES WHERE NAME = 'RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA')
BEGIN

CREATE TABLE [dbo].[RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA](
	[ID_PROMOCAO]			BIGINT NOT NULL,
	[CD_BANDEIRA]			INT NOT NULL,
	CONSTRAINT PK_RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA PRIMARY KEY CLUSTERED ([ID_PROMOCAO], [CD_BANDEIRA])
) ON [PRIMARY]

END
GO

IF NOT EXISTS (SELECT * FROM SYS.foreign_keys WHERE NAME = 'FK_RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA_PRC_BANDEIRA')
BEGIN
	ALTER TABLE RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA ADD CONSTRAINT FK_RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA_PRC_BANDEIRA FOREIGN KEY (CD_BANDEIRA) REFERENCES PRC_BANDEIRA (CD_BANDEIRA)
END
GO

ALTER TABLE RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA CHECK CONSTRAINT FK_RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA_PRC_BANDEIRA
GO

IF NOT EXISTS (SELECT * FROM SYS.foreign_keys WHERE NAME = 'FK_RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA_RC_CLI_BEM_MAIS_PROMOCAO')
BEGIN
	ALTER TABLE RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA ADD CONSTRAINT FK_RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA_RC_CLI_BEM_MAIS_PROMOCAO FOREIGN KEY (ID_PROMOCAO) REFERENCES RC_CLI_BEM_MAIS_PROMOCAO (ID)
END
GO

ALTER TABLE RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA CHECK CONSTRAINT FK_RC_CLI_BEM_MAIS_PROMOCAO_PRC_BANDEIRA_RC_CLI_BEM_MAIS_PROMOCAO
GO
